NX Open C++ Reference Guide
|
Represents a Features::VehicleDesign::HeadImpactOtherRailDetailBuilder . More...
Public Member Functions | |
bool | CreateGeometry () |
Returns the create construction geometry flag. | |
NXOpen::Point * | PT15Left () |
Returns the left PT15 additional geometry. | |
bool | PT15LeftFlag () |
Returns the left PT15 additional geometry flag. | |
NXOpen::Point * | PT15Right () |
Returns the right PT15 additional geometry. | |
bool | PT15RightFlag () |
Returns the right PT15 additional geometry flag. | |
NXOpen::Point * | PT16Left () |
Returns the left PT16 additional geometry. | |
bool | PT16LeftFlag () |
Returns the left PT16 additional geometry flag. | |
NXOpen::Point * | PT16Right () |
Returns the right PT16 additional geometry. | |
bool | PT16RightFlag () |
Returns the right PT16 additional geometry flag. | |
NXOpen::Expression * | ReqHorizontalLeftExact () |
Returns the left horizontal required approach angle. | |
NXOpen::Expression * | ReqHorizontalRightExact () |
Returns the right horizontal required approach angle. | |
NXOpen::Expression * | ReqVerticalMax () |
Returns the vertical maximum required approach angle. | |
NXOpen::Expression * | ReqVerticalMin () |
Returns the vertical minimum required approach angle. | |
void | SetCreateGeometry (bool createGeometry) |
Sets the create construction geometry flag. | |
void | SetPT15Left (NXOpen::Point *pt15Left) |
Sets the left PT15 additional geometry. | |
void | SetPT15LeftFlag (bool pt15LeftFlag) |
Sets the left PT15 additional geometry flag. | |
void | SetPT15Right (NXOpen::Point *pt15Right) |
Sets the right PT15 additional geometry. | |
void | SetPT15RightFlag (bool pt15RightFlag) |
Sets the right PT15 additional geometry flag. | |
void | SetPT16Left (NXOpen::Point *pt16Left) |
Sets the left PT16 additional geometry. | |
void | SetPT16LeftFlag (bool pt16LeftFlag) |
Sets the left PT16 additional geometry flag. | |
void | SetPT16Right (NXOpen::Point *pt16Right) |
Sets the right PT16 additional geometry. | |
void | SetPT16RightFlag (bool pt16RightFlag) |
Sets the right PT16 additional geometry flag. | |
void | SetSR3Left (NXOpen::Point *sr3Left) |
Sets the left SR3 alternative point. | |
void | SetSR3LeftFlag (bool sr3LeftFlag) |
Sets the left SR3 alternative point flag. | |
void | SetSR3Right (NXOpen::Point *sr3Right) |
Sets the right SR3 alternative point. | |
void | SetSR3RightFlag (bool sr3RightFlag) |
Sets the right SR3 alternative point flag. | |
NXOpen::Point * | SR3Left () |
Returns the left SR3 alternative point. | |
bool | SR3LeftFlag () |
Returns the left SR3 alternative point flag. | |
NXOpen::Expression * | SR3Offset () |
Returns the offset used to position SR3. | |
NXOpen::Point * | SR3Right () |
Returns the right SR3 alternative point. | |
bool | SR3RightFlag () |
Returns the right SR3 alternative point flag. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::VehicleDesign::HeadImpactOtherRailDetailBuilder .
This is an abstract class and cannot be instantiated.
Created in NX9.0.0.
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::CreateGeometry | ( | ) |
Returns the create construction geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT15Left | ( | ) |
Returns the left PT15 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT15LeftFlag | ( | ) |
Returns the left PT15 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT15Right | ( | ) |
Returns the right PT15 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT15RightFlag | ( | ) |
Returns the right PT15 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT16Left | ( | ) |
Returns the left PT16 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT16LeftFlag | ( | ) |
Returns the left PT16 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT16Right | ( | ) |
Returns the right PT16 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::PT16RightFlag | ( | ) |
Returns the right PT16 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::ReqHorizontalLeftExact | ( | ) |
Returns the left horizontal required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::ReqHorizontalRightExact | ( | ) |
Returns the right horizontal required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::ReqVerticalMax | ( | ) |
Returns the vertical maximum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::ReqVerticalMin | ( | ) |
Returns the vertical minimum required approach angle.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetCreateGeometry | ( | bool | createGeometry | ) |
Sets the create construction geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
createGeometry | creategeometry |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT15Left | ( | NXOpen::Point * | pt15Left | ) |
Sets the left PT15 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt15Left | pt15left |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT15LeftFlag | ( | bool | pt15LeftFlag | ) |
Sets the left PT15 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt15LeftFlag | pt15leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT15Right | ( | NXOpen::Point * | pt15Right | ) |
Sets the right PT15 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt15Right | pt15right |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT15RightFlag | ( | bool | pt15RightFlag | ) |
Sets the right PT15 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt15RightFlag | pt15rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT16Left | ( | NXOpen::Point * | pt16Left | ) |
Sets the left PT16 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt16Left | pt16left |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT16LeftFlag | ( | bool | pt16LeftFlag | ) |
Sets the left PT16 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt16LeftFlag | pt16leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT16Right | ( | NXOpen::Point * | pt16Right | ) |
Sets the right PT16 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt16Right | pt16right |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetPT16RightFlag | ( | bool | pt16RightFlag | ) |
Sets the right PT16 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt16RightFlag | pt16rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetSR3Left | ( | NXOpen::Point * | sr3Left | ) |
Sets the left SR3 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
sr3Left | sr3left |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetSR3LeftFlag | ( | bool | sr3LeftFlag | ) |
Sets the left SR3 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
sr3LeftFlag | sr3leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetSR3Right | ( | NXOpen::Point * | sr3Right | ) |
Sets the right SR3 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
sr3Right | sr3right |
void NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SetSR3RightFlag | ( | bool | sr3RightFlag | ) |
Sets the right SR3 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
sr3RightFlag | sr3rightflag |
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SR3Left | ( | ) |
Returns the left SR3 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SR3LeftFlag | ( | ) |
Returns the left SR3 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SR3Offset | ( | ) |
Returns the offset used to position SR3.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SR3Right | ( | ) |
Returns the right SR3 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOtherRailDetailBuilder::SR3RightFlag | ( | ) |
Returns the right SR3 alternative point flag.
Created in NX9.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.